Package be.fgov.ehealth.dics.protocol.v5

# Class FindReferencesRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.dics.protocol.v5.DicsRequestType
be.fgov.ehealth.dics.protocol.v5.FindReferencesRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class FindReferencesRequest extends DicsRequestType implements Serializable

Java class for FindReferencesRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindReferencesRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsRequestType">
           <sequence>
             <element name="ReferenceEntity" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindReferencesRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getReferenceEntity()`
  Returns all references in the database for the given type.
  `void`
  `setReferenceEntity(String value)`
  Sets the value of the referenceEntity property.

  ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsRequestType

  `getSearchDate, setSearchDate`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindReferencesRequest

    public FindReferencesRequest()

- ## Method Details

  - ### getReferenceEntity

    public String getReferenceEntity()
    Returns all references in the database for the given type.
    Returns:
      possible object is `String`

  - ### setReferenceEntity

    public void setReferenceEntity(String value)
    Sets the value of the referenceEntity property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getReferenceEntity()`